# Fetching a list of Skill Memberships

Returns a list of viewable skill memberships.

This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /skill_memberships
Version: 1.0.0

## Query parameters:

  - `active_account_members_only` (boolean)
    Only skill memberships for only active users on the account.

  - `by_skill_id` (integer)
    Only includes associated skill, by the skill ID.

  - `by_skill_ids` (string)
    Only includes associated skills. Input is a comma separated list of ids or an array.

  - `by_skill_name` (string)
    Only includes associated skills, by the name of the skill.

  - `by_user_name` (string)
    Only includes skill memberships assigned to a user, by their full name.

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - References the user who has created the skill association.
- skill (Skill) - References the skill assigned to the object.
- user (User) - References the user who has been assigned the skill.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc, created_at:desc, full_name, skill_name:asc, and skill_name:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `user_ids` (array)
    Only includes skill memberships assigned to a user, by user ID.

  - `workspace_id` (integer)
    Filter for participants of a specific project.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `skill_memberships` (object)

  - `skills` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


